# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20120820162850) do

  create_table "answer_sets", :force => true do |t|
    t.integer  "question_set_id"
    t.integer  "survey_item_answer_id"
    t.text     "content"
    t.boolean  "is_checked"
    t.datetime "created_at",            :null => false
    t.datetime "updated_at",            :null => false
  end

  add_index "answer_sets", ["question_set_id"], :name => "index_answer_sets_on_question_set_id"
  add_index "answer_sets", ["survey_item_answer_id"], :name => "index_answer_sets_on_survey_item_answer_id"

  create_table "question_sets", :force => true do |t|
    t.integer  "survey_item_id"
    t.integer  "survey_set_id"
    t.text     "content",         :limit => 255
    t.boolean  "boolean_content"
    t.datetime "created_at",                     :null => false
    t.datetime "updated_at",                     :null => false
  end

  add_index "question_sets", ["survey_item_id"], :name => "index_question_sets_on_survey_item_id"
  add_index "question_sets", ["survey_set_id"], :name => "index_question_sets_on_survey_set_id"

  create_table "survey_item_answers", :force => true do |t|
    t.text     "label_text"
    t.text     "help_text"
    t.string   "class_text"
    t.integer  "field_type"
    t.integer  "data_type"
    t.integer  "survey_item_id"
    t.boolean  "locked"
    t.boolean  "archived"
    t.datetime "created_at",     :null => false
    t.datetime "updated_at",     :null => false
  end

  add_index "survey_item_answers", ["survey_item_id"], :name => "index_survey_item_answers_on_survey_item_id"

  create_table "survey_items", :force => true do |t|
    t.integer  "item_type"
    t.text     "title"
    t.text     "description"
    t.text     "help"
    t.integer  "questions_type"
    t.integer  "display_type"
    t.integer  "survey_type_id"
    t.integer  "string_type"
    t.boolean  "locked"
    t.boolean  "archived"
    t.integer  "text_presentation"
    t.integer  "max_checkboxes"
    t.datetime "created_at",        :null => false
    t.datetime "updated_at",        :null => false
  end

  add_index "survey_items", ["survey_type_id"], :name => "index_survey_items_on_survey_type_id"

  create_table "survey_sets", :force => true do |t|
    t.integer  "survey_type_id"
    t.datetime "created_at",     :null => false
    t.datetime "updated_at",     :null => false
  end

  add_index "survey_sets", ["survey_type_id"], :name => "index_survey_sets_on_survey_type_id"

  create_table "survey_types", :force => true do |t|
    t.string   "name"
    t.string   "slug"
    t.text     "description"
    t.text     "thank_text"
    t.text     "intro_text"
    t.boolean  "locked"
    t.boolean  "archived"
    t.datetime "created_at",  :null => false
    t.datetime "updated_at",  :null => false
  end

  create_table "tiny_urls", :force => true do |t|
    t.string   "url"
    t.string   "slug"
    t.text     "description"
    t.datetime "start_at"
    t.datetime "stop_at"
    t.integer  "nbr_views"
    t.datetime "created_at",  :null => false
    t.datetime "updated_at",  :null => false
  end

end
